Topic on Talk:Structured Discussions

Jump to navigation Jump to search

Hi I have a few questions regarding the installaion of Structured Discussions and its dependecies

8
Summary by KHarlan (WMF)

Flow does not work with SQLite, see https://phabricator.wikimedia.org/T138316

AlgoLove (talkcontribs)

Can anybody help?


Thanks

Ainz Ooal Gown (talkcontribs)

Yes, please ask your questions. If anyone can help you, they will.

AlgoLove (talkcontribs)

How important is the recommended version of SQLite for a successful installation of Echo and Structured Discussions?

I encountered issues installing Structured discussions and its dependencies the errors I encountered include updating the database schema.

I am trying to successfully install structured Discussions and its dependencies?

KHarlan (WMF) (talkcontribs)

AFAICT we don't test either of these extensions with SQLite, so I'm not sure if they should work or not. Can you post the errors you encountered?

AlgoLove (talkcontribs)

I haven't tested this yet @KHarlan (WMF) i will do and record the errors. any suggestions on the MW version i should install is it worth installing the unstable master versions? @AlgorithmGG

KHarlan (WMF) (talkcontribs)

@AlgoLove looks like the same issue as task T138316, so I don't think it's going to work for you with SQLite, sorry.

AlgoLove (talkcontribs)

The errors i encountered came from the database schema update.i am trying to establish if SQlite is the issue or if ignore external dependencies will do the trick without the errors.


AlgoLove (talkcontribs)

I am using the following versions

Version info is Rell1_33 extensions

MediaWiki 1.33.0